apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName | quote }}
type: Opaque
stringData:
# UDP listener
  {{- with .Values.udpListener.s3 }}
  udp-listener-s3-accessKey: {{ .accessKey | quote }}
  udp-listener-s3-secretKey: {{ .secretKey | quote }}
  {{- end }}

  {{- with .Values.azureTools }}
  azureToolsAccount: {{ .account | quote }}
  azureToolsAccountKey: {{ .key | quote }}
  {{- end }}